Enable or disable a provider
curl --request PUT \
--url https://api.quiva.ai/accounts/terms/provider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_id": "<string>",
"enabled": true,
"record_config_ids": [
"<string>"
],
"accepted_version": 123
}
'import requests
url = "https://api.quiva.ai/accounts/terms/provider"
payload = {
"provider_id": "<string>",
"enabled": True,
"record_config_ids": ["<string>"],
"accepted_version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_id: '<string>',
enabled: true,
record_config_ids: ['<string>'],
accepted_version: 123
})
};
fetch('https://api.quiva.ai/accounts/terms/provider', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/terms/provider",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'provider_id' => '<string>',
'enabled' => true,
'record_config_ids' => [
'<string>'
],
'accepted_version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/terms/provider"
payload := strings.NewReader("{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.quiva.ai/accounts/terms/provider")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/terms/provider")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Terms
Enable or disable a provider
Enables or disables a provider and records the organisation’s acceptance. Enabling requires accepted_version to equal the current version. Admin or root.
PUT
/
accounts
/
terms
/
provider
Enable or disable a provider
curl --request PUT \
--url https://api.quiva.ai/accounts/terms/provider \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_id": "<string>",
"enabled": true,
"record_config_ids": [
"<string>"
],
"accepted_version": 123
}
'import requests
url = "https://api.quiva.ai/accounts/terms/provider"
payload = {
"provider_id": "<string>",
"enabled": True,
"record_config_ids": ["<string>"],
"accepted_version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_id: '<string>',
enabled: true,
record_config_ids: ['<string>'],
accepted_version: 123
})
};
fetch('https://api.quiva.ai/accounts/terms/provider', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/terms/provider",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'provider_id' => '<string>',
'enabled' => true,
'record_config_ids' => [
'<string>'
],
'accepted_version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/terms/provider"
payload := strings.NewReader("{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.quiva.ai/accounts/terms/provider")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/terms/provider")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_id\": \"<string>\",\n \"enabled\": true,\n \"record_config_ids\": [\n \"<string>\"\n ],\n \"accepted_version\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json